#ifndef _SVG_PARSER_H
#define _SVG_PARSER_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _svg_parser SVGParser;

SVGParser *NewSVGParser();
void SVGParser_Init(SVGParser *parser, char *filename, void *graph);
int SVGParser_Parse(SVGParser *parser);
void SVGParser_Terminate(SVGParser *parser);

#ifdef __cplusplus
}
#endif

#endif // _SVG_PARSER_H
